%global _empty_manifest_terminate_build 0
Name:           perl-Crypt-Cracklib
Version:        1.7
Release:        1
Summary:        Perl interface to Alec Muffett's Cracklib
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Crypt-Cracklib/
Source0:        http://www.cpan.org/authors/id/D/DA/DANIEL/Crypt-Cracklib-%{version}.tar.gz
BuildRequires:  perl >= 0:5.005
BuildRequires:  perl-generators
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(Pod::Coverage) >= 0.19
BuildRequires:  perl(Test::More) >= 0.47
BuildRequires:  perl(Test::Pod::Coverage) >= 1.08
BuildRequires:  perl(inc::Module::Install)
BuildRequires:  cracklib-devel
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
%description
This is a simple interface to the cracklib library.
%package help
Summary : Perl interface to Alec Muffett's Cracklib
Provides: perl-Crypt-Cracklib-doc
%description help
This is a simple interface to the cracklib library.
%prep
%setup -q -n Crypt-Cracklib-%{version}
%build
export PERL_MM_OPT=""
%{__perl} Makefile.PL INSTALLDIRS=vendor OPTIMIZE="$RPM_OPT_FLAGS"
make %{?_smp_mflags}

%install
export PERL_MM_OPT=""
rm -rf $RPM_BUILD_ROOT

make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -type f -name '*.bs' -size 0 -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} $RPM_BUILD_ROOT/*

pushd %{buildroot}
touch filelist.lst
if [ -d usr/bin ];then
    find usr/bin -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/sbin ];then
    find usr/bin -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/lib64 ];then
    find usr/lib64 -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/lib ];then
    find usr/lib -type f -printf "/%h/%f\n" >> filelist.lst
fi
popd
mv %{buildroot}/filelist.lst .
%check
make test

%clean
rm -rf $RPM_BUILD_ROOT

%files -f filelist.lst
%defattr(-,root,root,-)
%doc Changes README
%{perl_vendorarch}/auto/*
%{perl_vendorarch}/Crypt*
%files help
%{_mandir}/*

%changelog
* Mon Oct 12 2020 Perl_Bot <Perl_Bot@openeuler.org> 1.7-1
- Specfile autogenerated by Perl_Bot
